png++ 0.2.10

Public Types | Static Public Member Functions | List of all members
png::solid_pixel_buffer< pixel >::row_traits Struct Reference

`#include <solid_pixel_buffer.hpp>`

## Public Types
typedef pixel * | row_access
typedef const pixel * | row_const_access

## Static Public Member Functions
static byte * | get_data (row_access row)

## Member Typedef Documentation

## ◆ row_access

template<typename pixel>

typedef pixel* png::solid_pixel_buffer< pixel >::row_traits::row_access

## ◆ row_const_access

template<typename pixel>

typedef const pixel* png::solid_pixel_buffer< pixel >::row_traits::row_const_access

## Member Function Documentation

## ◆ get_data()

template<typename pixel>

byte * png::solid_pixel_buffer< pixel >::row_traits::get_data | ( | row_access | row | ) |
| inline static

The documentation for this struct was generated from the following file:

- solid_pixel_buffer.hpp